- vise informativnih poruka
authorDinko Korunic <kreator@carnet.hr>
Wed, 27 Apr 2011 07:22:19 +0000 (09:22 +0200)
committerDinko Korunic <kreator@carnet.hr>
Wed, 27 Apr 2011 07:22:19 +0000 (09:22 +0200)
- dodan zaboravljeni postrm

debian/postinst
debian/postrm [new file with mode: 0755]

index f34cc6a..86f1150 100755 (executable)
@@ -34,11 +34,13 @@ CONF=/etc/fail2ban/jail.conf
 
 if [ -e "$CONF" ]; then
     # enable ssh, pam-generic, sasl, proftpd and vsftpd service
+    echo "CN: Enabling SSH, PAM-generic, SASL, Proftpd and Vsftpd support"
     perl -ne 'if (/^\[(ssh|pam-generic|sasl|proftpd|vsftpd)\]/ .. /^enabled/) { $_ =~ s/^enabled\s+=\s+false/enabled   = true/gi }; print $_' "$CONF" > "$CONF.$$" && \
         cp_mv "$CONF.$$" "$CONF"
     rm -f "$CONF.$$"
 
     # enable dovecot service
+    echo "CN: Enabling full Dovecot support"
     cp -a "$CONF" "$CONF.$$"
     cp-update fail2ban-cn "$CONF.$$" <<EOF
 [dovecot]
@@ -56,6 +58,7 @@ EOF
     NETADDR="$RET"
     IGNOREIP=$(grep '^ignoreip' "$CONF")
     if ! echo "$IGNOREIP" | grep -q "$NETADDR"; then
+       echo "CN: Enabling local IP ranges exclusion"
        cp_check_and_sed '^ignoreip' \
             "s;^\(ignoreip.*\)$;\1 $NETADDR;g" "$CONF" || true
     fi
diff --git a/debian/postrm b/debian/postrm
new file mode 100755 (executable)
index 0000000..1bfe652
--- /dev/null
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postrm script for monit-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    purge)
+      # continue below
+    ;;
+
+    *)
+        exit 0
+    ;;
+esac
+
+# import CN-functions
+. /usr/share/carnet-tools/functions.sh
+
+CONF=/etc/fail2ban/jail.conf
+
+# remove us from inittab
+echo "CN: Removing Dovecot support"
+cp-update -r fail2ban-cn "$CONF"
+
+# restart the services
+if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+       invoke-rc.d fail2ban restart || exit $?
+else
+       /etc/init.d/fail2ban restart || exit $?
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0